<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
class RecipeProductLine extends AbstractProductLine
{
    #[ORM\ManyToOne(targetEntity: Recipe::class, inversedBy: 'productLines')]
    private $recipe;

    public function getRecipe(): ?Recipe
    {
        return $this->recipe;
    }

    public function setRecipe(?Recipe $recipe): self
    {
        $this->recipe = $recipe;

        return $this;
    }
}