<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
class FridgeProductLine extends AbstractProductLine
{
    #[ORM\ManyToOne(targetEntity: Fridge::class, inversedBy: 'productLines')]
    private $fridge;

    public function getFridge(): ?Fridge
    {
        return $this->fridge;
    }

    public function setFridge(?Fridge $fridge): self
    {
        $this->fridge = $fridge;

        return $this;
    }
}